package cn.citycraft.CTZServerCommon;

import java.text.SimpleDateFormat;
import java.util.Date;

import net.md_5.bungee.api.ChatColor;

public class Logger {
	enum LEVEL {
		INFO("信息"),
		WARN("警告"),
		ERROR("错误");
		String prefix;

		LEVEL(String prefix) {
			this.prefix = prefix;
		}

		@Override
		public String toString() {
			return prefix;
		}
	}

	public void error(String string) {
		log(LEVEL.ERROR, string);
	}

	public void info(String string) {
		log(LEVEL.INFO, string);
	}

	public void log(LEVEL lvl, String string) {
		String time = new SimpleDateFormat("HH:mm:ss").format(new Date(System.currentTimeMillis()));
		System.out.println(String.format("[%1$s %2$s] %3$s", time, lvl, ChatColor.stripColor(string)));
	}

	public void warning(String string) {
		log(LEVEL.WARN, string);
	}
}
